Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network12.16.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
Network address
12.16.0.0
Broadcast address
12.23.255.255
First usable
12.16.0.1
Last usable
12.23.255.254
Usable hosts
524,286 (524,288 less the network and broadcast addresses)
Subnet mask
255.248.0.0
Wildcard mask
0.7.255.255 (Cisco ACLs, OSPF)
Prefix length
/13
Type
Public public
Old class
A (default /8)
As numbers
Hex 0C100000 · Integer 202375168 to 202899455
Reverse DNS zones
16.12.in-addr.arpa
17.12.in-addr.arpa
18.12.in-addr.arpa
19.12.in-addr.arpa
20.12.in-addr.arpa
21.12.in-addr.arpa
22.12.in-addr.arpa
23.12.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00001100.00010000.00000000.0000000012.16.0.0
Subnet mask11111111.11111000.00000000.00000000255.248.0.0
Network00001100.00010000.00000000.0000000012.16.0.0
Broadcast00001100.00010111.11111111.1111111112.23.255.255
Split into smaller subnets/22

12.16.0.0/13 makes 512 subnets of /22; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
112.16.0.0/2212.16.0.1 to 12.16.3.25412.16.3.2551,022
212.16.4.0/2212.16.4.1 to 12.16.7.25412.16.7.2551,022
312.16.8.0/2212.16.8.1 to 12.16.11.25412.16.11.2551,022
412.16.12.0/2212.16.12.1 to 12.16.15.25412.16.15.2551,022
512.16.16.0/2212.16.16.1 to 12.16.19.25412.16.19.2551,022
612.16.20.0/2212.16.20.1 to 12.16.23.25412.16.23.2551,022
712.16.24.0/2212.16.24.1 to 12.16.27.25412.16.27.2551,022
812.16.28.0/2212.16.28.1 to 12.16.31.25412.16.31.2551,022
912.16.32.0/2212.16.32.1 to 12.16.35.25412.16.35.2551,022
1012.16.36.0/2212.16.36.1 to 12.16.39.25412.16.39.2551,022
1112.16.40.0/2212.16.40.1 to 12.16.43.25412.16.43.2551,022
1212.16.44.0/2212.16.44.1 to 12.16.47.25412.16.47.2551,022
1312.16.48.0/2212.16.48.1 to 12.16.51.25412.16.51.2551,022
1412.16.52.0/2212.16.52.1 to 12.16.55.25412.16.55.2551,022
1512.16.56.0/2212.16.56.1 to 12.16.59.25412.16.59.2551,022
1612.16.60.0/2212.16.60.1 to 12.16.63.25412.16.63.2551,022
1712.16.64.0/2212.16.64.1 to 12.16.67.25412.16.67.2551,022
1812.16.68.0/2212.16.68.1 to 12.16.71.25412.16.71.2551,022
1912.16.72.0/2212.16.72.1 to 12.16.75.25412.16.75.2551,022
2012.16.76.0/2212.16.76.1 to 12.16.79.25412.16.79.2551,022
2112.16.80.0/2212.16.80.1 to 12.16.83.25412.16.83.2551,022
2212.16.84.0/2212.16.84.1 to 12.16.87.25412.16.87.2551,022
2312.16.88.0/2212.16.88.1 to 12.16.91.25412.16.91.2551,022
2412.16.92.0/2212.16.92.1 to 12.16.95.25412.16.95.2551,022
2512.16.96.0/2212.16.96.1 to 12.16.99.25412.16.99.2551,022
2612.16.100.0/2212.16.100.1 to 12.16.103.25412.16.103.2551,022
2712.16.104.0/2212.16.104.1 to 12.16.107.25412.16.107.2551,022
2812.16.108.0/2212.16.108.1 to 12.16.111.25412.16.111.2551,022
2912.16.112.0/2212.16.112.1 to 12.16.115.25412.16.115.2551,022
3012.16.116.0/2212.16.116.1 to 12.16.119.25412.16.119.2551,022
3112.16.120.0/2212.16.120.1 to 12.16.123.25412.16.123.2551,022
3212.16.124.0/2212.16.124.1 to 12.16.127.25412.16.127.2551,022
3312.16.128.0/2212.16.128.1 to 12.16.131.25412.16.131.2551,022
3412.16.132.0/2212.16.132.1 to 12.16.135.25412.16.135.2551,022
3512.16.136.0/2212.16.136.1 to 12.16.139.25412.16.139.2551,022
3612.16.140.0/2212.16.140.1 to 12.16.143.25412.16.143.2551,022
3712.16.144.0/2212.16.144.1 to 12.16.147.25412.16.147.2551,022
3812.16.148.0/2212.16.148.1 to 12.16.151.25412.16.151.2551,022
3912.16.152.0/2212.16.152.1 to 12.16.155.25412.16.155.2551,022
4012.16.156.0/2212.16.156.1 to 12.16.159.25412.16.159.2551,022
4112.16.160.0/2212.16.160.1 to 12.16.163.25412.16.163.2551,022
4212.16.164.0/2212.16.164.1 to 12.16.167.25412.16.167.2551,022
4312.16.168.0/2212.16.168.1 to 12.16.171.25412.16.171.2551,022
4412.16.172.0/2212.16.172.1 to 12.16.175.25412.16.175.2551,022
4512.16.176.0/2212.16.176.1 to 12.16.179.25412.16.179.2551,022
4612.16.180.0/2212.16.180.1 to 12.16.183.25412.16.183.2551,022
4712.16.184.0/2212.16.184.1 to 12.16.187.25412.16.187.2551,022
4812.16.188.0/2212.16.188.1 to 12.16.191.25412.16.191.2551,022
4912.16.192.0/2212.16.192.1 to 12.16.195.25412.16.195.2551,022
5012.16.196.0/2212.16.196.1 to 12.16.199.25412.16.199.2551,022
5112.16.200.0/2212.16.200.1 to 12.16.203.25412.16.203.2551,022
5212.16.204.0/2212.16.204.1 to 12.16.207.25412.16.207.2551,022
5312.16.208.0/2212.16.208.1 to 12.16.211.25412.16.211.2551,022
5412.16.212.0/2212.16.212.1 to 12.16.215.25412.16.215.2551,022
5512.16.216.0/2212.16.216.1 to 12.16.219.25412.16.219.2551,022
5612.16.220.0/2212.16.220.1 to 12.16.223.25412.16.223.2551,022
5712.16.224.0/2212.16.224.1 to 12.16.227.25412.16.227.2551,022
5812.16.228.0/2212.16.228.1 to 12.16.231.25412.16.231.2551,022
5912.16.232.0/2212.16.232.1 to 12.16.235.25412.16.235.2551,022
6012.16.236.0/2212.16.236.1 to 12.16.239.25412.16.239.2551,022
6112.16.240.0/2212.16.240.1 to 12.16.243.25412.16.243.2551,022
6212.16.244.0/2212.16.244.1 to 12.16.247.25412.16.247.2551,022
6312.16.248.0/2212.16.248.1 to 12.16.251.25412.16.251.2551,022
6412.16.252.0/2212.16.252.1 to 12.16.255.25412.16.255.2551,022
6512.17.0.0/2212.17.0.1 to 12.17.3.25412.17.3.2551,022
6612.17.4.0/2212.17.4.1 to 12.17.7.25412.17.7.2551,022
6712.17.8.0/2212.17.8.1 to 12.17.11.25412.17.11.2551,022
6812.17.12.0/2212.17.12.1 to 12.17.15.25412.17.15.2551,022
6912.17.16.0/2212.17.16.1 to 12.17.19.25412.17.19.2551,022
7012.17.20.0/2212.17.20.1 to 12.17.23.25412.17.23.2551,022
7112.17.24.0/2212.17.24.1 to 12.17.27.25412.17.27.2551,022
7212.17.28.0/2212.17.28.1 to 12.17.31.25412.17.31.2551,022
7312.17.32.0/2212.17.32.1 to 12.17.35.25412.17.35.2551,022
7412.17.36.0/2212.17.36.1 to 12.17.39.25412.17.39.2551,022
7512.17.40.0/2212.17.40.1 to 12.17.43.25412.17.43.2551,022
7612.17.44.0/2212.17.44.1 to 12.17.47.25412.17.47.2551,022
7712.17.48.0/2212.17.48.1 to 12.17.51.25412.17.51.2551,022
7812.17.52.0/2212.17.52.1 to 12.17.55.25412.17.55.2551,022
7912.17.56.0/2212.17.56.1 to 12.17.59.25412.17.59.2551,022
8012.17.60.0/2212.17.60.1 to 12.17.63.25412.17.63.2551,022
8112.17.64.0/2212.17.64.1 to 12.17.67.25412.17.67.2551,022
8212.17.68.0/2212.17.68.1 to 12.17.71.25412.17.71.2551,022
8312.17.72.0/2212.17.72.1 to 12.17.75.25412.17.75.2551,022
8412.17.76.0/2212.17.76.1 to 12.17.79.25412.17.79.2551,022
8512.17.80.0/2212.17.80.1 to 12.17.83.25412.17.83.2551,022
8612.17.84.0/2212.17.84.1 to 12.17.87.25412.17.87.2551,022
8712.17.88.0/2212.17.88.1 to 12.17.91.25412.17.91.2551,022
8812.17.92.0/2212.17.92.1 to 12.17.95.25412.17.95.2551,022
8912.17.96.0/2212.17.96.1 to 12.17.99.25412.17.99.2551,022
9012.17.100.0/2212.17.100.1 to 12.17.103.25412.17.103.2551,022
9112.17.104.0/2212.17.104.1 to 12.17.107.25412.17.107.2551,022
9212.17.108.0/2212.17.108.1 to 12.17.111.25412.17.111.2551,022
9312.17.112.0/2212.17.112.1 to 12.17.115.25412.17.115.2551,022
9412.17.116.0/2212.17.116.1 to 12.17.119.25412.17.119.2551,022
9512.17.120.0/2212.17.120.1 to 12.17.123.25412.17.123.2551,022
9612.17.124.0/2212.17.124.1 to 12.17.127.25412.17.127.2551,022
9712.17.128.0/2212.17.128.1 to 12.17.131.25412.17.131.2551,022
9812.17.132.0/2212.17.132.1 to 12.17.135.25412.17.135.2551,022
9912.17.136.0/2212.17.136.1 to 12.17.139.25412.17.139.2551,022
10012.17.140.0/2212.17.140.1 to 12.17.143.25412.17.143.2551,022
10112.17.144.0/2212.17.144.1 to 12.17.147.25412.17.147.2551,022
10212.17.148.0/2212.17.148.1 to 12.17.151.25412.17.151.2551,022
10312.17.152.0/2212.17.152.1 to 12.17.155.25412.17.155.2551,022
10412.17.156.0/2212.17.156.1 to 12.17.159.25412.17.159.2551,022
10512.17.160.0/2212.17.160.1 to 12.17.163.25412.17.163.2551,022
10612.17.164.0/2212.17.164.1 to 12.17.167.25412.17.167.2551,022
10712.17.168.0/2212.17.168.1 to 12.17.171.25412.17.171.2551,022
10812.17.172.0/2212.17.172.1 to 12.17.175.25412.17.175.2551,022
10912.17.176.0/2212.17.176.1 to 12.17.179.25412.17.179.2551,022
11012.17.180.0/2212.17.180.1 to 12.17.183.25412.17.183.2551,022
11112.17.184.0/2212.17.184.1 to 12.17.187.25412.17.187.2551,022
11212.17.188.0/2212.17.188.1 to 12.17.191.25412.17.191.2551,022
11312.17.192.0/2212.17.192.1 to 12.17.195.25412.17.195.2551,022
11412.17.196.0/2212.17.196.1 to 12.17.199.25412.17.199.2551,022
11512.17.200.0/2212.17.200.1 to 12.17.203.25412.17.203.2551,022
11612.17.204.0/2212.17.204.1 to 12.17.207.25412.17.207.2551,022
11712.17.208.0/2212.17.208.1 to 12.17.211.25412.17.211.2551,022
11812.17.212.0/2212.17.212.1 to 12.17.215.25412.17.215.2551,022
11912.17.216.0/2212.17.216.1 to 12.17.219.25412.17.219.2551,022
12012.17.220.0/2212.17.220.1 to 12.17.223.25412.17.223.2551,022
12112.17.224.0/2212.17.224.1 to 12.17.227.25412.17.227.2551,022
12212.17.228.0/2212.17.228.1 to 12.17.231.25412.17.231.2551,022
12312.17.232.0/2212.17.232.1 to 12.17.235.25412.17.235.2551,022
12412.17.236.0/2212.17.236.1 to 12.17.239.25412.17.239.2551,022
12512.17.240.0/2212.17.240.1 to 12.17.243.25412.17.243.2551,022
12612.17.244.0/2212.17.244.1 to 12.17.247.25412.17.247.2551,022
12712.17.248.0/2212.17.248.1 to 12.17.251.25412.17.251.2551,022
12812.17.252.0/2212.17.252.1 to 12.17.255.25412.17.255.2551,022
12912.18.0.0/2212.18.0.1 to 12.18.3.25412.18.3.2551,022
13012.18.4.0/2212.18.4.1 to 12.18.7.25412.18.7.2551,022
13112.18.8.0/2212.18.8.1 to 12.18.11.25412.18.11.2551,022
13212.18.12.0/2212.18.12.1 to 12.18.15.25412.18.15.2551,022
13312.18.16.0/2212.18.16.1 to 12.18.19.25412.18.19.2551,022
13412.18.20.0/2212.18.20.1 to 12.18.23.25412.18.23.2551,022
13512.18.24.0/2212.18.24.1 to 12.18.27.25412.18.27.2551,022
13612.18.28.0/2212.18.28.1 to 12.18.31.25412.18.31.2551,022
13712.18.32.0/2212.18.32.1 to 12.18.35.25412.18.35.2551,022
13812.18.36.0/2212.18.36.1 to 12.18.39.25412.18.39.2551,022
13912.18.40.0/2212.18.40.1 to 12.18.43.25412.18.43.2551,022
14012.18.44.0/2212.18.44.1 to 12.18.47.25412.18.47.2551,022
14112.18.48.0/2212.18.48.1 to 12.18.51.25412.18.51.2551,022
14212.18.52.0/2212.18.52.1 to 12.18.55.25412.18.55.2551,022
14312.18.56.0/2212.18.56.1 to 12.18.59.25412.18.59.2551,022
14412.18.60.0/2212.18.60.1 to 12.18.63.25412.18.63.2551,022
14512.18.64.0/2212.18.64.1 to 12.18.67.25412.18.67.2551,022
14612.18.68.0/2212.18.68.1 to 12.18.71.25412.18.71.2551,022
14712.18.72.0/2212.18.72.1 to 12.18.75.25412.18.75.2551,022
14812.18.76.0/2212.18.76.1 to 12.18.79.25412.18.79.2551,022
14912.18.80.0/2212.18.80.1 to 12.18.83.25412.18.83.2551,022
15012.18.84.0/2212.18.84.1 to 12.18.87.25412.18.87.2551,022
15112.18.88.0/2212.18.88.1 to 12.18.91.25412.18.91.2551,022
15212.18.92.0/2212.18.92.1 to 12.18.95.25412.18.95.2551,022
15312.18.96.0/2212.18.96.1 to 12.18.99.25412.18.99.2551,022
15412.18.100.0/2212.18.100.1 to 12.18.103.25412.18.103.2551,022
15512.18.104.0/2212.18.104.1 to 12.18.107.25412.18.107.2551,022
15612.18.108.0/2212.18.108.1 to 12.18.111.25412.18.111.2551,022
15712.18.112.0/2212.18.112.1 to 12.18.115.25412.18.115.2551,022
15812.18.116.0/2212.18.116.1 to 12.18.119.25412.18.119.2551,022
15912.18.120.0/2212.18.120.1 to 12.18.123.25412.18.123.2551,022
16012.18.124.0/2212.18.124.1 to 12.18.127.25412.18.127.2551,022
16112.18.128.0/2212.18.128.1 to 12.18.131.25412.18.131.2551,022
16212.18.132.0/2212.18.132.1 to 12.18.135.25412.18.135.2551,022
16312.18.136.0/2212.18.136.1 to 12.18.139.25412.18.139.2551,022
16412.18.140.0/2212.18.140.1 to 12.18.143.25412.18.143.2551,022
16512.18.144.0/2212.18.144.1 to 12.18.147.25412.18.147.2551,022
16612.18.148.0/2212.18.148.1 to 12.18.151.25412.18.151.2551,022
16712.18.152.0/2212.18.152.1 to 12.18.155.25412.18.155.2551,022
16812.18.156.0/2212.18.156.1 to 12.18.159.25412.18.159.2551,022
16912.18.160.0/2212.18.160.1 to 12.18.163.25412.18.163.2551,022
17012.18.164.0/2212.18.164.1 to 12.18.167.25412.18.167.2551,022
17112.18.168.0/2212.18.168.1 to 12.18.171.25412.18.171.2551,022
17212.18.172.0/2212.18.172.1 to 12.18.175.25412.18.175.2551,022
17312.18.176.0/2212.18.176.1 to 12.18.179.25412.18.179.2551,022
17412.18.180.0/2212.18.180.1 to 12.18.183.25412.18.183.2551,022
17512.18.184.0/2212.18.184.1 to 12.18.187.25412.18.187.2551,022
17612.18.188.0/2212.18.188.1 to 12.18.191.25412.18.191.2551,022
17712.18.192.0/2212.18.192.1 to 12.18.195.25412.18.195.2551,022
17812.18.196.0/2212.18.196.1 to 12.18.199.25412.18.199.2551,022
17912.18.200.0/2212.18.200.1 to 12.18.203.25412.18.203.2551,022
18012.18.204.0/2212.18.204.1 to 12.18.207.25412.18.207.2551,022
18112.18.208.0/2212.18.208.1 to 12.18.211.25412.18.211.2551,022
18212.18.212.0/2212.18.212.1 to 12.18.215.25412.18.215.2551,022
18312.18.216.0/2212.18.216.1 to 12.18.219.25412.18.219.2551,022
18412.18.220.0/2212.18.220.1 to 12.18.223.25412.18.223.2551,022
18512.18.224.0/2212.18.224.1 to 12.18.227.25412.18.227.2551,022
18612.18.228.0/2212.18.228.1 to 12.18.231.25412.18.231.2551,022
18712.18.232.0/2212.18.232.1 to 12.18.235.25412.18.235.2551,022
18812.18.236.0/2212.18.236.1 to 12.18.239.25412.18.239.2551,022
18912.18.240.0/2212.18.240.1 to 12.18.243.25412.18.243.2551,022
19012.18.244.0/2212.18.244.1 to 12.18.247.25412.18.247.2551,022
19112.18.248.0/2212.18.248.1 to 12.18.251.25412.18.251.2551,022
19212.18.252.0/2212.18.252.1 to 12.18.255.25412.18.255.2551,022
19312.19.0.0/2212.19.0.1 to 12.19.3.25412.19.3.2551,022
19412.19.4.0/2212.19.4.1 to 12.19.7.25412.19.7.2551,022
19512.19.8.0/2212.19.8.1 to 12.19.11.25412.19.11.2551,022
19612.19.12.0/2212.19.12.1 to 12.19.15.25412.19.15.2551,022
19712.19.16.0/2212.19.16.1 to 12.19.19.25412.19.19.2551,022
19812.19.20.0/2212.19.20.1 to 12.19.23.25412.19.23.2551,022
19912.19.24.0/2212.19.24.1 to 12.19.27.25412.19.27.2551,022
20012.19.28.0/2212.19.28.1 to 12.19.31.25412.19.31.2551,022
20112.19.32.0/2212.19.32.1 to 12.19.35.25412.19.35.2551,022
20212.19.36.0/2212.19.36.1 to 12.19.39.25412.19.39.2551,022
20312.19.40.0/2212.19.40.1 to 12.19.43.25412.19.43.2551,022
20412.19.44.0/2212.19.44.1 to 12.19.47.25412.19.47.2551,022
20512.19.48.0/2212.19.48.1 to 12.19.51.25412.19.51.2551,022
20612.19.52.0/2212.19.52.1 to 12.19.55.25412.19.55.2551,022
20712.19.56.0/2212.19.56.1 to 12.19.59.25412.19.59.2551,022
20812.19.60.0/2212.19.60.1 to 12.19.63.25412.19.63.2551,022
20912.19.64.0/2212.19.64.1 to 12.19.67.25412.19.67.2551,022
21012.19.68.0/2212.19.68.1 to 12.19.71.25412.19.71.2551,022
21112.19.72.0/2212.19.72.1 to 12.19.75.25412.19.75.2551,022
21212.19.76.0/2212.19.76.1 to 12.19.79.25412.19.79.2551,022
21312.19.80.0/2212.19.80.1 to 12.19.83.25412.19.83.2551,022
21412.19.84.0/2212.19.84.1 to 12.19.87.25412.19.87.2551,022
21512.19.88.0/2212.19.88.1 to 12.19.91.25412.19.91.2551,022
21612.19.92.0/2212.19.92.1 to 12.19.95.25412.19.95.2551,022
21712.19.96.0/2212.19.96.1 to 12.19.99.25412.19.99.2551,022
21812.19.100.0/2212.19.100.1 to 12.19.103.25412.19.103.2551,022
21912.19.104.0/2212.19.104.1 to 12.19.107.25412.19.107.2551,022
22012.19.108.0/2212.19.108.1 to 12.19.111.25412.19.111.2551,022
22112.19.112.0/2212.19.112.1 to 12.19.115.25412.19.115.2551,022
22212.19.116.0/2212.19.116.1 to 12.19.119.25412.19.119.2551,022
22312.19.120.0/2212.19.120.1 to 12.19.123.25412.19.123.2551,022
22412.19.124.0/2212.19.124.1 to 12.19.127.25412.19.127.2551,022
22512.19.128.0/2212.19.128.1 to 12.19.131.25412.19.131.2551,022
22612.19.132.0/2212.19.132.1 to 12.19.135.25412.19.135.2551,022
22712.19.136.0/2212.19.136.1 to 12.19.139.25412.19.139.2551,022
22812.19.140.0/2212.19.140.1 to 12.19.143.25412.19.143.2551,022
22912.19.144.0/2212.19.144.1 to 12.19.147.25412.19.147.2551,022
23012.19.148.0/2212.19.148.1 to 12.19.151.25412.19.151.2551,022
23112.19.152.0/2212.19.152.1 to 12.19.155.25412.19.155.2551,022
23212.19.156.0/2212.19.156.1 to 12.19.159.25412.19.159.2551,022
23312.19.160.0/2212.19.160.1 to 12.19.163.25412.19.163.2551,022
23412.19.164.0/2212.19.164.1 to 12.19.167.25412.19.167.2551,022
23512.19.168.0/2212.19.168.1 to 12.19.171.25412.19.171.2551,022
23612.19.172.0/2212.19.172.1 to 12.19.175.25412.19.175.2551,022
23712.19.176.0/2212.19.176.1 to 12.19.179.25412.19.179.2551,022
23812.19.180.0/2212.19.180.1 to 12.19.183.25412.19.183.2551,022
23912.19.184.0/2212.19.184.1 to 12.19.187.25412.19.187.2551,022
24012.19.188.0/2212.19.188.1 to 12.19.191.25412.19.191.2551,022
24112.19.192.0/2212.19.192.1 to 12.19.195.25412.19.195.2551,022
24212.19.196.0/2212.19.196.1 to 12.19.199.25412.19.199.2551,022
24312.19.200.0/2212.19.200.1 to 12.19.203.25412.19.203.2551,022
24412.19.204.0/2212.19.204.1 to 12.19.207.25412.19.207.2551,022
24512.19.208.0/2212.19.208.1 to 12.19.211.25412.19.211.2551,022
24612.19.212.0/2212.19.212.1 to 12.19.215.25412.19.215.2551,022
24712.19.216.0/2212.19.216.1 to 12.19.219.25412.19.219.2551,022
24812.19.220.0/2212.19.220.1 to 12.19.223.25412.19.223.2551,022
24912.19.224.0/2212.19.224.1 to 12.19.227.25412.19.227.2551,022
25012.19.228.0/2212.19.228.1 to 12.19.231.25412.19.231.2551,022
25112.19.232.0/2212.19.232.1 to 12.19.235.25412.19.235.2551,022
25212.19.236.0/2212.19.236.1 to 12.19.239.25412.19.239.2551,022
25312.19.240.0/2212.19.240.1 to 12.19.243.25412.19.243.2551,022
25412.19.244.0/2212.19.244.1 to 12.19.247.25412.19.247.2551,022
25512.19.248.0/2212.19.248.1 to 12.19.251.25412.19.251.2551,022
25612.19.252.0/2212.19.252.1 to 12.19.255.25412.19.255.2551,022

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses